Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class PropertyBasedEmbedderControls

    java.lang.Object
      org.jbehave.core.embedder.EmbedderControls
          org.jbehave.core.embedder.PropertyBasedEmbedderControls

    public class PropertyBasedEmbedderControls

extends EmbedderControls

Field Summary
`static String` | `BATCH`
`static String` | `GENERATE_VIEW_AFTER_STORIES`
`static String` | `IGNORE_FAILURE_IN_STORIES`
`static String` | `IGNORE_FAILURE_IN_VIEW`
`static String` | `SKIP`
`static String` | `STORY_TIMEOUT_IN_SECS`
`static String` | `THREADS`
`static String` | `VERBOSE_FAILURES`
`static String` | `VERBOSE_FILTERING`

Constructor Summary
`PropertyBasedEmbedderControls()`

Method Summary
`boolean` | `batch()`
`boolean` | `generateViewAfterStories()`
`boolean` | `ignoreFailureInStories()`
`boolean` | `ignoreFailureInView()`
`boolean` | `skip()`
`long` | `storyTimeoutInSecs()`
`int` | `threads()`
`String` | `toString()`
`boolean` | `verboseFailures()`
`boolean` | `verboseFiltering()`

Methods inherited from class org.jbehave.core.embedder.EmbedderControls
`doBatch, doGenerateViewAfterStories, doIgnoreFailureInStories, doIgnoreFailureInView, doSkip, doVerboseFailures, doVerboseFiltering, useStoryTimeoutInSecs, useThreads`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BATCH

    public static final String BATCH

See Also:
  Constant Field Values

### IGNORE_FAILURE_IN_VIEW

    public static final String IGNORE_FAILURE_IN_VIEW

See Also:
  Constant Field Values

### IGNORE_FAILURE_IN_STORIES

    public static final String IGNORE_FAILURE_IN_STORIES

See Also:
  Constant Field Values

### GENERATE_VIEW_AFTER_STORIES

    public static final String GENERATE_VIEW_AFTER_STORIES

See Also:
  Constant Field Values

### SKIP

    public static final String SKIP

See Also:
  Constant Field Values

### VERBOSE_FAILURES

    public static final String VERBOSE_FAILURES

See Also:
  Constant Field Values

### VERBOSE_FILTERING

    public static final String VERBOSE_FILTERING

See Also:
  Constant Field Values

### STORY_TIMEOUT_IN_SECS

    public static final String STORY_TIMEOUT_IN_SECS

See Also:
  Constant Field Values

### THREADS

    public static final String THREADS

See Also:
  Constant Field Values

Constructor Detail

### PropertyBasedEmbedderControls

    public PropertyBasedEmbedderControls()

Method Detail

### batch

    public boolean batch()

  Overrides:
    `batch` in class `EmbedderControls`

### ignoreFailureInView

    public boolean ignoreFailureInView()

  Overrides:
    `ignoreFailureInView` in class `EmbedderControls`

### ignoreFailureInStories

    public boolean ignoreFailureInStories()

  Overrides:
    `ignoreFailureInStories` in class `EmbedderControls`

### generateViewAfterStories

    public boolean generateViewAfterStories()

  Overrides:
    `generateViewAfterStories` in class `EmbedderControls`

### skip

    public boolean skip()

  Overrides:
    `skip` in class `EmbedderControls`

### verboseFailures

    public boolean verboseFailures()

  Overrides:
    `verboseFailures` in class `EmbedderControls`

### verboseFiltering

    public boolean verboseFiltering()

  Overrides:
    `verboseFiltering` in class `EmbedderControls`

### storyTimeoutInSecs

    public long storyTimeoutInSecs()

  Overrides:
    `storyTimeoutInSecs` in class `EmbedderControls`

### threads

    public int threads()

  Overrides:
    `threads` in class `EmbedderControls`

### toString

    public String toString()

  Overrides:
    `toString` in class `EmbedderControls`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.